/************************************************************************/
/*																		*/
/*	stdtypes.h	--	Digilent Standard Type Declarations					*/
/*																		*/
/************************************************************************/
/*	Author:		Gene Apperson											*/
/*	Copyright 2005, Digilent Inc.										*/
/************************************************************************/
/*  File Description:													*/
/*																		*/
/* This header file contains declarations for standard Digilent data	*/
/* types and constants for use with avr-gcc.							*/
/*																		*/
/************************************************************************/
/*  Revision History:													*/
/*																		*/
/*	01/04/2005(GeneA): created											*/
/*																		*/
/************************************************************************/

#if !defined(STDTYPES_INC)
#define STDTYPES_INC

/* ------------------------------------------------------------ */
/*					General Type Declarations					*/
/* ------------------------------------------------------------ */

#define	fFalse	0
#define	fTrue	(!fFalse)

#define	BOOL	uint16_t
#define	BYTE	uint8_t
#define	WORD	uint16_t

/* ------------------------------------------------------------ */
/*					Object Class Declarations					*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */
/*					Variable Declarations						*/
/* ------------------------------------------------------------ */



/* ------------------------------------------------------------ */

#endif

/************************************************************************/
